
package de.ivu.elect.exchange.gebietsbaum;

import javax.annotation.Nullable;

import org.jsefa.csv.annotation.CsvDataType;
import org.jsefa.csv.annotation.CsvField;

import de.ivu.elect.business.gebietsbaum.entity.Gebiet;
import de.ivu.jsefa.CsvHeader;

@CsvDataType
public class SitzeStimmenGebietDTO extends AbstractGebietDTO {

  @CsvField(pos = 1)
  @CsvHeader("Gebietsart")
  private String gebietsartName;

  @CsvField(pos = 2)
  @CsvHeader("Nummer des Gebietes")
  private String nummer;

  @CsvField(pos = 3)
  @CsvHeader("Name des Gebietes")
  private String name;

  @CsvField(pos = 4)
  @CsvHeader("Anzahl Sitze")
  private Long anzahlSitze;

  @CsvField(pos = 5)
  @CsvHeader("Anzahl Stimmen pro Waehler")
  private Long anzahlStimmenProWaehler;

  public SitzeStimmenGebietDTO() {
    super();
  }

  public SitzeStimmenGebietDTO(Gebiet gebiet) {
    super(gebiet, null);
    this.anzahlSitze = gebiet.getAnzahlSitze();
    this.anzahlStimmenProWaehler = gebiet.getAnzahlStimmenProWaehler();
  }

  @Override
  public String getGebietsartName() {
    return gebietsartName;
  }

  @Override
  public String getUebergeordnetesGebietNummer() {
    return null;
  }

  @Override
  public void setUebergeordnetesGebietNummer(String uebergeordnetesGebietNummer) {

  }

  @Override
  public String getUebergeordnetesGebietGebietsartName() {
    return null;
  }

  @Override
  public void setUebergeordnetesGebietGebietsartName(String uebergeordnetesGebietGebietsartName) {

  }

  @Override
  public String getKuerzel() {
    return null;
  }

  @Override
  public void setKuerzel(String kuerzel) {

  }

  @Override
  public String getAnschriftStrasse() {
    return null;
  }

  @Override
  public void setAnschriftStrasse(@Nullable String strasse) {

  }

  @Override
  public String getAnschriftHausnummer() {
    return null;
  }

  @Override
  public void setAnschriftHausnummer(@Nullable String hausnummer) {

  }

  @Override
  public String getAnschriftHausnummerzusatz() {
    return null;
  }

  @Override
  public void setAnschriftHausnummerzusatz(@Nullable String hausnummerzusatz) {

  }

  @Override
  public String getAnschriftPlz() {
    return null;
  }

  @Override
  public void setAnschriftPlz(@Nullable String plz) {

  }

  @Override
  public String getAnschriftOrt() {
    return null;
  }

  @Override
  public void setAnschriftOrt(@Nullable String ort) {

  }

  @Override
  public String getAnschriftOrtsteil() {
    return null;
  }

  @Override
  public void setAnschriftOrtsteil(@Nullable String ortsteil) {

  }

  @Override
  public String getAnschriftZustellanweisung() {
    return null;
  }

  @Override
  public void setAnschriftZustellanweisung(@Nullable String zustellanweisung) {

  }

  @Override
  public String getAnsprechpartnerBerufUnformatiert() {
    return null;
  }

  @Override
  public void setAnsprechpartnerBerufUnformatiert(@Nullable String berufUnformatiert) {

  }

  @Override
  public String getAnsprechpartnerTelefonnummerFestnetz() {
    return null;
  }

  @Override
  public void setAnsprechpartnerTelefonnummerFestnetz(@Nullable String telefonnummerFestnetz) {

  }

  @Override
  public String getAnsprechpartnerTelefonnummerMobil() {
    return null;
  }

  @Override
  public void setAnsprechpartnerTelefonnummerMobil(@Nullable String telefonnummerMobil) {

  }

  @Override
  public String getAnsprechpartnerVorname() {
    return null;
  }

  @Override
  public void setAnsprechpartnerVorname(@Nullable String vorname) {

  }

  @Override
  public String getAnsprechpartnerFamilienname() {
    return null;
  }

  @Override
  public void setAnsprechpartnerFamilienname(@Nullable String familienname) {

  }

  @Override
  public String getAnsprechpartnerAnrede() {
    return null;
  }

  @Override
  public void setAnsprechpartnerAnrede(@Nullable String anrede) {

  }

  @Override
  public String getBemerkung() {
    return null;
  }

  @Override
  public void setBemerkung(@Nullable String bemerkung) {

  }

  @Nullable
  @Override
  public String getRolleEinsehen() {
    return null;
  }

  @Nullable
  @Override
  public String getRolleBearbeiten() {
    return null;
  }

  @Override
  public void setRolleEinsehen(@Nullable String rolleEinsehen) {

  }

  @Override
  public void setRolleBearbeiten(@Nullable String rolleBearbeiten) {

  }

  @Override
  public void setGebietsartName(String gebietsartName) {
    this.gebietsartName = gebietsartName;
  }

  @Override
  public Boolean getSonderstimmbezirk() {
    return false;
  }

  @Override
  public void setSonderstimmbezirk(Boolean sonderstimmbezirk) {

  }

  @Override
  public Boolean getAuswahlbezirk2() {
    return false;
  }

  @Override
  public void setAuswahlbezirk2(Boolean auswahlbezirk) {

  }

  @Override
  public Boolean getUmfragebezirk2() {
    return false;
  }

  @Override
  public void setUmfragebezirk2(Boolean umfragebezirk) {

  }

  @Nullable
  @Override
  public Boolean getWahlbeteiligungsbezirk2() {
    return false;
  }

  @Override
  public void setWahlbeteiligungsbezirk2(Boolean wahlbeteiligungsbezirk) {

  }

  @Override
  public Boolean getBeweglicherWahlvorstand2() {
    return false;
  }

  @Override
  public void setBeweglicherWahlvorstand2(Boolean beweglicherWahlvorstand) {

  }

  @Override
  public Boolean getBriefwahlInUrneErfassen2() {
    return false;
  }

  @Override
  public void setBriefwahlInUrneErfassen2(Boolean briefwahlInUrneErfassen) {

  }

  @Override
  public String getNummer() {
    return nummer;
  }

  @Override
  public void setNummer(String nummer) {
    this.nummer = nummer;
  }

  @Override
  public String getNummerBezirk() {
    return null;
  }

  @Override
  public void setNummerBezirk(String nummerBezirk) {

  }

  @Override
  public String getName() {
    return name;
  }

  @Override
  public void setName(String name) {
    this.name = name;
  }

  @Override
  public String getExterneId() {
    return null;
  }

  @Override
  public void setExterneId(String externeId) {

  }

  public Long getAnzahlSitze() {
    return anzahlSitze;
  }

  public void setAnzahlSitze(Long anzahlSitze) {
    this.anzahlSitze = anzahlSitze;
  }

  public Long getAnzahlStimmenProWaehler() {
    return anzahlStimmenProWaehler;
  }

  public void setAnzahlStimmenProWaehler(Long anzahlStimmenProWaehler) {
    this.anzahlStimmenProWaehler = anzahlStimmenProWaehler;
  }
}
